## ifupdown2 1.0~git20151029

=== debian/control ===
Source: ifupdown2
Section: admin
Priority: optional
Maintainer: Roopa Prabhu <roopa@cumulusnetworks.com>
Standards-Version: 3.9.6
Build-Depends: python-setuptools, dh-python, python-all (>= 2.6.6-3), debhelper (>= 9~), python-docutils, dh-systemd
Homepage: https://github.com/CumulusNetworks/ifupdown2
X-Python-Version: >= 2.6

Package: ifupdown2
Architecture: all
Suggests: python-gvgen, python-mako 
Replaces: ifupdown
Conflicts: ifupdown
Provides: ifupdown
Depends: ${python:Depends}, ${misc:Depends}, python-argcomplete, python-ipaddr
Description: Network Interface Management tool similar to ifupdown
 ifupdown2 is ifupdown re-written in Python. It replaces ifupdown and provides
 the same user interface as ifupdown for network interface configuration.
 Like ifupdown, ifupdown2 is a high level tool to configure (or, respectively
 deconfigure) network interfaces based on interface definitions in
 /etc/network/interfaces. It is capable of detecting network interface
 dependencies and comes with several new features which are available as
 new command options to ifup/ifdown/ifquery commands. It also comes with a new
 command ifreload to reload interface configuration with minimum
 disruption. Most commands are also capable of input and output in JSON format.
 It is backward compatible with ifupdown /etc/network/interfaces format and
 supports newer simplified format. It also supports interface templates with
 python-mako for large scale interface deployments. See
 /usr/share/doc/ifupdown2/README.rst for details about ifupdown2. Examples
 are available under /usr/share/doc/ifupdown2/examples.
