=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=ifupdown2
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/ifupdown2 --install-scripts=/usr/share/ifupdown2

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_installman:
	./scripts/genmanpages.sh ./man.rst ./man
	dh_installman

override_dh_installinit:
	dh_systemd_enable --name=networking
	dh_installinit --name=networking --no-start
