## ifupdown2 1.0~git20160525

=== debian/changelog ===
ifupdown2 (1.0~git20160525-1) unstable; urgency=medium

  * Fix incorrect install location of networking default file

 -- Julien Fortin <julien@cumulusnetworks.com>  Wed, 25 May 2016 01:04:31 +0200

ifupdown2 (1.0~git20160316-1) unstable; urgency=medium

  * Fixing Debian Bug report - #813046 ifupdown2: No network connection on boot
  * ifupdownaddons: fix parsing of vlan attributes
  * networkinterfaces: fix is_keyword to not match attribute names with keywords
  * debian: control: add julien as maintainer
  * debian: copyright: upstream-contact: remove Sam, add Julien
  * Detect and ignore the `ether` keyword in /etc/network/interface

 -- Julien Fortin <julien@cumulusnetworks.com>  Tue, 15 Mar 2016 06:12:40 -0700

ifupdown2 (1.0~git20151029-1) unstable; urgency=medium

  * bridgeutils: build cache only if bridge-utils is installed
  * addon modules: handle unsupported modules
  * ifupdown: change location of lockfile to /tmp/
  * templates: Disable template execution by default

 -- Roopa Prabhu <roopa@cumulusnetworks.com>  Mon, 26 Oct 2015 06:12:40 -0700

ifupdown2 (1.0~git20150917-2) unstable; urgency=medium

  * move /etc/network/interfaces.d creation from postinst script to debian/dirs (Closes: #801915)

 -- Roopa Prabhu <roopa@cumulusnetworks.com>  Fri, 18 Sep 2015 14:04:45 -0700

ifupdown2 (1.0~git20150917-1) unstable; urgency=low

  * Initial release.

 -- Roopa Prabhu <roopa@cumulusnetworks.com>  Thu, 20 Aug 2015 06:14:24 -0700
