=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ifupdown2
 Section: admin
 Priority: optional
-Maintainer: Roopa Prabhu <roopa@cumulusnetworks.com>
-Standards-Version: 3.9.6
+Maintainer: Julien Fortin <julien@cumulusnetworks.com>
+Standards-Version: 3.9.8
 Build-Depends: python-setuptools, dh-python, python-all (>= 2.6.6-3), debhelper (>= 9~), python-docutils, dh-systemd
 Homepage: https://github.com/CumulusNetworks/ifupdown2
 X-Python-Version: >= 2.6
