## ifupdown2 1.0~git20170114

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
 
 Package: ifupdown2
 Architecture: all
-Suggests: python-gvgen, python-mako 
+Suggests: python-gvgen, python-mako
 Replaces: ifupdown
-Conflicts: ifupdown
 Provides: ifupdown
-Depends: ${python:Depends}, ${misc:Depends}, python-argcomplete, python-ipaddr
+Depends: ${python:Depends}, ${misc:Depends}, python-argcomplete, python-ipaddr, iproute2
+Recommends: isc-dhcp-client | dhcp-client
 Description: Network Interface Management tool similar to ifupdown
  ifupdown2 is ifupdown re-written in Python. It replaces ifupdown and provides
  the same user interface as ifupdown for network interface configuration.
