## ifupdown2 1.0~git20170314

=== debian/changelog ===
ifupdown2 (1.0~git20170314-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Julien Fortin <julien@cumulusnetworks.com>  Wed, 29 Mar 2017 07:26:28 +0200

ifupdown2 (1.0~git20170314-1) unstable; urgency=medium

  * debian: install files: fix LC_ALL=C.UTF-8 following comments on #857258

 -- Julien Fortin <julien@cumulusnetworks.com>  Tue, 14 Mar 2017 23:06:14 +0100

ifupdown2 (1.0~git20170308-1) unstable; urgency=medium

  * debian: add LC_ALL=C.UTF-8 directive in prestinst, postinst, postrm files

 -- Julien Fortin <julien@cumulusnetworks.com>  Wed, 08 Mar 2017 18:39:02 +0100

ifupdown2 (1.0~git20170307-1) unstable; urgency=medium

  * preinst: remove english word from grep filter (closes: #856970)

 -- Julien Fortin <julien@cumulusnetworks.com>  Tue, 07 Mar 2017 11:24:37 +0100

ifupdown2 (1.0~git20170223-1) unstable; urgency=medium

  * drop the dependency to pkg_resources, hardcode version number (closes: #855401)
  * adjust allow-hotplug behavior to ifupdown (closes: #855598)

 -- Julien Fortin <julien@cumulusnetworks.com>  Thu, 23 Feb 2017 11:24:37 +0100

ifupdown2 (1.0~git20170214-1) unstable; urgency=medium

  * closes: #854325 debian: control: add back "Conflicts: ifupdown"
  * New. Enabled: support for GRE/SIT tunnels

 -- Julien Fortin <julien@cumulusnetworks.com>  Tue, 14 Feb 2017 21:47:26 +0100

ifupdown2 (1.0~git20170114-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Julien Fortin <julien@cumulusnetworks.com>  Sat, 28 Jan 2017 09:52:33 +0100

ifupdown2 (1.0~git20170114-1) unstable; urgency=medium

  * closes: #843848 diversion handling broken

 -- Julien Fortin <julien@cumulusnetworks.com>  Sat, 14 Jan 2017 03:59:54 +0100

ifupdown2 (1.0~git20161221-1) unstable; urgency=medium

  * closes: #810844 Unlisted dependencies
  * closes: #843848 diversion handling broken
  * Fixes: github #14. add environment variables passed to user scripts
  * Fixes: handling EXISTS errors on address add
  * Fixes: handling mtu on addressvirtual macvlan devices
  * Fixes: mako namespace handling
  * New. Enabled: addons may provide a list of ifupdown scripts to ignore

 -- Julien Fortin <julien@cumulusnetworks.com>  Wed, 21 Dec 2016 12:36:33 +0100

ifupdown2 (1.0~git20161110-1) unstable; urgency=medium

  * adding diversion on conflicting ifupdown files
  * debian: add checks before diversion and cleanups. closes: #813046
  * ifupdown2.conf: setting addon_syntax_check to 0 by default. closes: #843565

 -- Julien Fortin <julien@cumulusnetworks.com>  Mon, 14 Nov 2016 14:22:10 +0100

ifupdown2 (1.0~git20161101-1) unstable; urgency=medium

  * Performance improvements (better netlink support)
  * New. Deprecated: `mstpctl-stp` attribute
  * New. Deprecated: lacp parameters: bond-ad-sys-priority, bond-ad-sys-mac-addr
  * New. Enabled: addon module for B.A.T.M.A.N. protocol configuration
  * New. Enabled: addon module for configuring VRF
    (Virtual routing and forwarding)
  * New. Enabled: bridge: display warning when (in vlan unware bridge) an
    untagged bridge is not configured
  * New. Enabled: adjusting MTU for vlan devices depending on lower device mtu
  * New. Enabled: introduce checks for reserved vrf table names
  * New. Enabled: ifquery: new option '--with-defaults' to include default
    attributes
  * New. Enabled: bridge: disabling ipv6 on bridge if any VXLAN port
  * New. Enabled: vrf awareness in dhcp addon module
  * New. Enabled: sbin: start-networking: support hotplug class from init script
  * New. Enabled: support for classical numerical bond modes
  * New. Enabled: extend ifquery support for mstpctl addons
  * New. Enabled: each addon may perform semantic and syntax checks by
    implementing a custom method
  * New. Enabled: addons may provide a list of ifupdown scripts to ignore
  * New. Enabled: config: changing default value of addon_scripts_support to 1
  * fixes #14: add environment variables passed to user scripts

 -- Julien Fortin <julien@cumulusnetworks.com>  Wed, 07 Sep 2016 00:57:50 +0200
