## ifupdown2 1.2.5

=== debian/changelog ===
ifupdown2 (1.2.5-1) unstable; urgency=medium

  * Fix: ifupdown2 scripts: log warning on EACCES exception (Fixes #89)
  * Fix: debian: install sysvinit script (closes: #918775)
  * Fix: debian: postinst: remove diversion after upgrade from stretch
         (closes: #919443)

 -- Julien Fortin <julien@cumulusnetworks.com>  Mon, 21 Jan 2019 23:42:42 +8000

ifupdown2 (1.2.4-1) unstable; urgency=medium

  * Fix: statemanager directory path customization via ifupdown2.conf
         (closes: #918832)

 -- Julien Fortin <julien@cumulusnetworks.com>  Fri, 11 Jan 2019 23:42:42 +0000

ifupdown2 (1.2.3-1) unstable; urgency=medium

  * Fix: log: use stderr if syslog initialization fails (closes: #917534)

 -- Julien Fortin <julien@cumulusnetworks.com>  Sun, 30 Dec 2018 23:42:42 +0700

ifupdown2 (1.2.2-1) unstable; urgency=medium

  * New: add support for B.A.T.M.A.N. adv. attributes
  * New: support for new iproute2 format (bridge vlan show)
  * New: add new checks for existing device with vxlan attributes
  * Fix: pypi install: local addons modules should be loaded first
  * Fix: link-down yes on vrf slaves
  * Fix: nlmanager: use strerror to format kernel error
  * Fix: ethtool: FEC: translate None and NotSupported values to link-fec off
  * Fix: man: remove non-implemented -m option (closes: #905572)

 -- Julien Fortin <julien@cumulusnetworks.com>  Thu, 20 Dec 2018 23:42:42 +0000

ifupdown2 (1.2.1) UNRELEASED; urgency=medium

  * Fix #54: address module new l3_intf_default_gateway_set_onlink policy
  * Fix: Link down does not work on any intf configured in a VRF
  * Add: ethtool: add link-speed 10 to valid values array
  * Add: address: add l3_intf_arp_accept policy to control ARP_ACCEPT
  * Add: warning when bridge attribute are used on non br[port] intf
  * Add: point-to-point protocol (ppp) addon to create/configure ppp interfaces
  * Add: tunnel support (gretap, ipip, sit, vti, ip6gre, ipip6, ip6ip6, vti6)
  * Add: 0/1/on/off/yes/no support to ip[6]-forward attribute
  * Add: address module_globals policy l3_intf_arp_accept to control ARP_ACCEPT
  * addressvirtual module_globals "addressvirtual_with_route_metric" policy
  * Closes: ethtool: link-fec: local variable 'fec_attrs'
            referencede before assignment
  * Fix: ifquery -r incorrect for address-virtual and vrf configuration under
         an interface

 -- Julien Fortin <julien@cumulusnetworks.com>  Wed, 24 Oct 2018 23:42:42 +0200

ifupdown2 (1.2.0) UNRELEASED; urgency=medium

  * Package architecture refactoring and cleanups
  * Package can be build/install as debian, pip or rpm package
  * Makefile to easily perform tasks (i.e.: install, build, test, upload..)
  * VRF slaves: add support for link-down yes
  * addressvirtual: macvlan: add default metric to ip4 and ip6
  * Closes #48: Run up/down on "manual" interfaces, but ignore any errors.
  * Closes #58: address addon "vlan_aware_bridge_address_support" policy
  * Traditional bridge support for mstpctl attr: (portautoedge, portrestrrole)
  * Configuration for IPv6 link-local auto-generate mode, new attributes:
        ipv6-addrgen (address addon)
        address-virtual-ipv6-addrgen (addressvirtual addon)

 -- Julien Fortin <julien@cumulusnetworks.com>  Mon, 25 Jun 2018 23:42:42 +0200

ifupdown2 (1.1.18) UNRELEASED; urgency=medium

  * Fix: Link down does not work on SVI configured in a VRF
  * Fix: ifreload causes MTU to drop on bridge SVIs
  * Fix: addons: addressvirtual: check if SVI name is first in routing table
  * Fix: ifreload error on deleting bond slaves from an already configured bond
  * Fix: ifupdown2 error is confusing when netmask is specified for vxlan-local-tunnelip
  * Fix: ifupdown2 syntax check needed for vxlan interfaces
  * Fix: vxlan-ageing default timer doesn't align with bridge-ageing
  * Fix: Error with "ifreload -a -n" when MGMT VRF is not Applied
  * Fix: using reserved VLAN range reports error but ifreload returns 0
  * Fix: unable to set bridge-portmcrouter to "2"
  * Fix: vxlan syntax-check warn on missing vxlan-local-tunnelip
  * Fix: traditional bridge svi breaks when extra bridge added
  * Fix: github #39: addons: vrf: fix vrf slave link kind
  * New. Enabled: addons: vxlan: add support for vxlan-port attribute

 -- Julien Fortin <julien@cumulusnetworks.com>  Thu, 12 Apr 2018 11:10:04 +0200

ifupdown2 (1.1.17) UNRELEASED; urgency=medium

  * Fix: ip[6]-forward attributes not set at boot

 -- Julien Fortin <julien@cumulusnetworks.com>  Thu, 08 Feb 2018 09:48:37 +0100

ifupdown2 (1.1.16) UNRELEASED; urgency=medium

  * Fix: python exception on macvlans address dump
  * Fix: eth0 doesn't acquire DHCP address when mgmt VRF is enabled

 -- Julien Fortin <julien@cumulusnetworks.com>  Tue, 09 Jan 2018 02:02:58 +0100

ifupdown2 (1.1.15) UNRELEASED; urgency=medium

  * New. Enabled: bridge: add support for bridge-l2protocol-tunnel
  * New. Enabled: bridge attributes, when removed reset to default
  * New. Enabled: vxlan attributes, when removed reset to default
  * New. Enabled: improve handling of optional resources (if missing bridge-utils/ethtool)
  * Fix: policy "iface_defaults" not supported for MTU
  * Fix: address module: handling of ipv4 & ipv6 (add/remove)
  * Fix: warning for vlan reserved range
  * Fix: MTU handling on bridge SVIs

 -- Julien Fortin <julien@cumulusnetworks.com>  Wed, 22 Nov 2017 19:07:43 +0100

ifupdown2 (1.1.14) UNRELEASED; urgency=medium

  * New. Enabled: default policy for bridge MAC address
  * Fix: ethtool: don't set link speed and duplex if autoneg is on

 -- Julien Fortin <julien@cumulusnetworks.com>  Wed, 25 Oct 2017 23:12:27 +0200

ifupdown2 (1.1.13) UNRELEASED; urgency=medium

  * Fix: VRF: ssh session not killed on ifreload

 -- Julien Fortin <julien@cumulusnetworks.com>  Fri, 15 Sep 2017 22:43:12 +0200

ifupdown2 (1.1.12) UNRELEASED; urgency=medium

  * New. Enabled: mpls-enable attribute
  * New. Enabled: bond and bridge module moved to netlink configuration

