=== debian/control ===
--- 
+++ 
@@ -2,18 +2,21 @@
 Section: admin
 Priority: optional
 Maintainer: Julien Fortin <julien@cumulusnetworks.com>
-Standards-Version: 3.9.8
-Build-Depends: python-setuptools, dh-python, python-all (>= 2.6.6-3), debhelper (>= 9~), python-docutils, dh-systemd
-Homepage: https://github.com/CumulusNetworks/ifupdown2
-X-Python-Version: >= 2.6
+Build-Depends: debhelper (>= 9.20160709),
+               dh-python,
+               python-all,
+               python-setuptools,
+               python-docutils
+Standards-Version: 4.2.1
+Homepage: https://github.com/cumulusnetworks/ifupdown2
 
 Package: ifupdown2
 Architecture: all
-Suggests: python-gvgen, python-mako
+Provides: ifupdown
+Conflicts: ifupdown
 Replaces: ifupdown
-Provides: ifupdown
-Depends: ${python:Depends}, ${misc:Depends}, python-argcomplete, python-ipaddr, iproute2
-Recommends: isc-dhcp-client | dhcp-client
+Depends: ${python:Depends}, ${misc:Depends}, iproute2, python-argcomplete, python-ipaddr
+Suggests: isc-dhcp-client, bridge-utils, ethtool, python-gvgen, python-mako, python-pkg-resources
 Description: Network Interface Management tool similar to ifupdown
  ifupdown2 is ifupdown re-written in Python. It replaces ifupdown and provides
  the same user interface as ifupdown for network interface configuration.
