=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=ifupdown2
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/ --install-scripts=/usr/share/

%:
	dh $@ --with python2 --with systemd --buildsystem=pybuild

override_dh_installman:
	./ifupdown2/man/genmanpages.sh ./ifupdown2/man ./man
	dh_installman

override_dh_systemd_start:
	dh_systemd_start --name=networking --no-start

override_dh_systemd_enable:
	dh_systemd_enable --name=networking

override_dh_installinit:
	dh_installinit --name=networking --no-start

override_dh_compress:
	dh_compress -X.py
