## ifupdown2 1.2.7

=== debian/changelog ===
ifupdown2 (1.2.7-1build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:34:10 +0000

ifupdown2 (1.2.7-1) unstable; urgency=medium

  * New: Add bridge-ports-condone-regex option (closes #117)

 -- Julien Fortin <julien@cumulusnetworks.com>  Tue, 09 Jul 2019 23:42:42 +0200

ifupdown2 (1.2.6-1) unstable; urgency=medium

  * Fix: AttributeError exception in bridge module (fixes #90)
  * Fix: ifupdownaddons: LinkUtils fix cmd concatenation (closes: #930839)
  * New. policymanager: merge module policy instead of overriding duplicates
  * New: set default mtu on user defined device (via link-type)
  * New: add support for vxlan-ttl attribute
  * New: add support for vrrp attribute
  * New: introduce new bridge policy:
        "vxlan_bridge_igmp_snooping_enable_port_mcrouter"
  * New: link-down yes will also down macvlans
  * New: XFRM addon module
  * New: Add policy to wait for IPv6 link local address to be available

 -- Julien Fortin <julien@cumulusnetworks.com>  Sun, 23 Jun 2019 23:42:42 -1000
