=== debian/changelog ===
ifupdown2 (3.0.0-1) unstable; urgency=medium

   * New: python3 support
   * New: attribute alias support
   * New: bridge-always-up attribute
   * New: set bridge mtu with policy default
   * New: ES bond with "es-sys-mac" attribute
   * New: vxlan attribute: vxlan-mcastgrp-map
   * New: support for "veth-peer-name" attribute
   * New: dhcp policy: dhclient_retry_on_failure
   * New: support for marking interfaces as mgmt interfaces
   * New: bridge-vlan-vni-map attribute (single vxlan device)
   * New: dhcp: skipping dhcp configuration if link-down yes
   * New: vrf-slave: keep vlan down if lower device has "link-down yes"
   * New: vxlan: support for vxlan-svcnodeip6 and vxlan-mcastgrp6 (fixes #43)
   * New: support for add ovs-ports-condone-regex attribute (openvswitch)
   * Fix: dry-run exceptions
   * Fix: bond enslavement ordering
   * Fix: process MTU before addrgen
   * Fix: set bridge MTU after bridge creation
   * Fix: ifquery-running: incorrect displayed data
   * Fix: tunnel configuration compatibility with ifupdown1
   * Fix: start-networking script is back to handle mgmt & hotplug cases
   * Fix: devices matching with ".{0,13}\-v" could get removed by ifreload
   * Fix: mstpctl: check mstpctl-stp and bridge-stp and fix bridge cache update
   * Removing python-argcomplete dependency

 -- Julien Fortin <julien@cumulusnetworks.com>  Tue, 04 Aug 2020 23:42:42 +0200

ifupdown2 (2.0.2-1) unstable; urgency=medium

  * New: addons: ethtool: add support for "ethtool_ignore_errors" policy
  * New: addons: dhcp: if mgmt vrf context exec dhclient in default vrf
  * Fix: nlpacket: don't raise an exception on 24 bytes mac address (#140)
  * Fix: IFLA_INFO_KIND: decode tunnel data
  * Fix: XFRM for 2.x release
  * Fix: addons.conf: remove duplicate entry for tunnel pre-up

 -- Julien Fortin <julien@cumulusnetworks.com>  Wed, 04 Mar 2020 23:42:42 +0100

ifupdown2 (2.0.1-1) unstable; urgency=medium

  * New argv option: --nldebug to print netlink debug message
  * New: ethtool: nics (GRO, LRO GSO, TSO, UFO, TX and RX) offload attributes

 -- Julien Fortin <julien@cumulusnetworks.com>  Tue, 31 Dec 2019 15:21:06 +0100

ifupdown2 (2.0.0-1) unstable; urgency=medium

  * Introduction of the live netlink cache
  * Refactoring and PEP8 fixes
  * Install systemd ifupdown2.netowrking.service and ifup.service
  * Addons: bond: bond-primary attributes (closes: #9)
  * Addons: address-virtual: vrrp support
  * Addons: address: add arp-accept option
  * Addons: tunnel: adding "tunnel-" prefix to every attributes
  * Loopback interface won't go down (unless link-down yes)
  * Macvlans (address-virtual) can now be configured without ips
  * Add support for vxlan multicast group (vxlan-mcastgrp)
  * New sets of poliicies:
       - bridge polcy for vxlan port: bridge-vxlan-arp-nd-suppres (ON/off)
       - bridge policy for vxlan port: bridge_vxlan_port_learning (ON/off)
       - bridge policy for vxlan port:
               vxlan_bridge_igmp_snooping_enable_port_mcrouter (1/0)

 -- Julien Fortin <julien@cumulusnetworks.com>  Tue, 01 Oct 2019 23:42:42 +0200

ifupdown2 (1.2.8-1) unstable; urgency=medium

  * New: Add policy dhcp6-duid to specify DUID type to be used for IPv6 interfaces

 -- Julien Fortin <julien@cumulusnetworks.com>  Thu, 11 Jul 2019 23:42:42 +0200
