=== debian/control ===
--- 
+++ 
@@ -4,19 +4,21 @@
 Maintainer: Julien Fortin <julien@cumulusnetworks.com>
 Build-Depends: debhelper (>= 9.20160709),
                dh-python,
-               python-all,
-               python-setuptools,
-               python-docutils
-Standards-Version: 4.2.1
+               python3,
+               python3-all,
+               python3-setuptools,
+               python3-docutils
+Standards-Version: 4.5.0.2
 Homepage: https://github.com/cumulusnetworks/ifupdown2
+X-Python-Version: >= 3.7
 
 Package: ifupdown2
 Architecture: all
 Provides: ifupdown
 Conflicts: ifupdown
 Replaces: ifupdown
-Depends: ${python:Depends}, ${misc:Depends}, iproute2, python-argcomplete, python-ipaddr
-Suggests: isc-dhcp-client, bridge-utils, ethtool, python-gvgen, python-mako, python-pkg-resources
+Depends: ${python3:Depends}, ${misc:Depends}, iproute2
+Suggests: isc-dhcp-client, bridge-utils, ethtool, python3-gvgen, python3-mako
 Description: Network Interface Management tool similar to ifupdown
  ifupdown2 is ifupdown re-written in Python. It replaces ifupdown and provides
  the same user interface as ifupdown for network interface configuration.
