## ifupdown2 3.2.0

=== debian/changelog ===
ifupdown2 (3.2.0-1+pmx11) bookworm; urgency=medium

  * slaac: avoid setting sysctl's for bridge twice

 -- Proxmox Support Team <support@proxmox.com>  Fri, 15 Nov 2024 16:21:41 +0100

ifupdown2 (3.2.0-1+pmx10) bookworm; urgency=medium

  * fix #5869: d/postinst: do not fail if ifreload fails on first install

  * d/postinst: use absence of old version variable to detect new
    installations instead of a flag file.

 -- Proxmox Support Team <support@proxmox.com>  Thu, 14 Nov 2024 18:36:31 +0100

ifupdown2 (3.2.0-1+pmx9) bookworm; urgency=medium

  * fix #5197: do not run scripts ending with .dpkg-{old, new, tmp, dist}
    mainly to avoid potential issues when upgrading from ifupdown to ifupdown2

  * cherry-pick fix for VNI filter on single VXLAN device

 -- Proxmox Support Team <support@proxmox.com>  Fri, 05 Jul 2024 09:20:58 +0200

ifupdown2 (3.2.0-1+pmx8) bookworm; urgency=medium

  * fix #5009: avoid waiting for stdout eof of /etc/network/ scripts, just
    like legacy ifupdown does

 -- Proxmox Support Team <support@proxmox.com>  Wed, 20 Dec 2023 14:15:34 +0100

ifupdown2 (3.2.0-1+pmx7) bookworm; urgency=medium

  * fix applying some bond mode settings for non-802.3ad variants on ifup
    (ifreload worked).

  * fix VXLAN addon trying to remove FDB entries on reload with EVPN

 -- Proxmox Support Team <support@proxmox.com>  Mon, 20 Nov 2023 14:31:11 +0100

ifupdown2 (3.2.0-1+pmx6) bookworm; urgency=medium

  * revert patch that tried to fix MAC-addresses for bond interfaces, some
    network switches and adapters cannot cope with the way it was done, rather
    set up a systemd policy.

 -- Proxmox Support Team <support@proxmox.com>  Wed, 15 Nov 2023 08:51:14 +0100

ifupdown2 (3.2.0-1+pmx5) bookworm; urgency=medium

  * fix new systemd behavior of assinging random MAC to bond by actively
    assining the one from the first slave-interface again

 -- Proxmox Support Team <support@proxmox.com>  Fri, 15 Sep 2023 16:20:25 +0200

ifupdown2 (3.2.0-1+pmx4) bookworm; urgency=medium

  * ipv6/slaac: fix accept_ra/autoconf sysctl not being applied on bridge
    interfaces

 -- Proxmox Support Team <support@proxmox.com>  Thu, 10 Aug 2023 09:04:25 +0200

ifupdown2 (3.2.0-1+pmx3) bookworm; urgency=medium

  * depend on ethtool by default

  * backport support for rx-vlan-filter in the ethtool plugin

  * backport missing import for the 'traceback' python module in the scheduler

 -- Proxmox Support Team <support@proxmox.com>  Mon, 26 Jun 2023 20:40:22 +0200

ifupdown2 (3.2.0-1+pmx2) bookworm; urgency=medium

  * ship default policy to enable setting the MAC of a bridge to its first
    port in a stable way again, was dropped by mistake for bookworm re-build.

 -- Proxmox Support Team <support@proxmox.com>  Wed, 21 Jun 2023 08:21:02 +0200

ifupdown2 (3.2.0-1+pmx1) bookworm; urgency=medium

  * update to 3.2.0 upstream release

  * build for Debian 12 Bookworm based releases

  * remove old upstreamed patches

  * add ipv6 slaac support (inet6 auto / accept_ra)

  * remove lacp bond min-links=0 warning

 -- Proxmox Support Team <support@proxmox.com>  Sat, 20 May 2023 11:05:14 +0200

ifupdown2 (3.2.0) unstable; urgency=medium

  * Fix: Sonarqube issues
  * Fix: ifquery hangs indefinitely on ^C
  * Fix: Skipping admin down on deleted vlans
  * Fix: Merge existing MTU into new netlink object
  * Fix: scheduler: env variable not properly set for user commands (fixes #218)
  * Fix: ifquery-check: vlan-protocol for dotted interfaces
  * Fix: Down ops on vrf-slave should set the slave admin down
  * New: Allow bond creation without slaves
  * New: Add `--set-ring` option to ethtool
  * New: Openvswitch : add support for fakebridge
  * New: add support for systemd logging (--systemd)
  * New: Process hwaddress before processing ip addresses
  * New: Set protodown off on bond slave before bond is deleted
  * New: Make sure bond speed and slaves (swps) speed are matching

 -- Julien Fortin <jfortin@nvidia.com>  Thu, 04 May 2023 23:42:00 -0700

ifupdown2 (3.1.0-1+pmx4) bullseye; urgency=medium

  * add ovs support for fakebridge

  * vlan: fix vlan-protocol query check

  * Avoid updating VLAN attributes (vlan-protocol, vlan-id) on reload, if it's
    not a full ifdown + ifup cycle.

 -- Proxmox Support Team <support@proxmox.com>  Tue, 16 May 2023 12:01:14 +0200

ifupdown2 (3.1.0-1+pmx3) bullseye; urgency=medium

  * fix a point-to-point regression introduced in 3.1

 -- Proxmox Support Team <support@proxmox.com>  Mon, 26 Jul 2021 12:29:08 +0200

ifupdown2 (3.1.0-1+pmx2) bullseye; urgency=medium

  * avoid re-generating and reloading network configuration in the installer

 -- Proxmox Support Team <support@proxmox.com>  Thu, 15 Jul 2021 10:35:31 +0200

ifupdown2 (3.1.0-1+pmx1) bullseye; urgency=medium

  * update to 3.1.0 upstream release

  * ship default policy to enable setting the MAC of a bridge to its first
    port in a stable way.

 -- Proxmox Support Team <support@proxmox.com>  Wed, 14 Jul 2021 16:58:03 +0200

ifupdown2 (3.1.0-1) unstable; urgency=medium

   * New: ifquery-check now validates admin state
   * New: bond: bond mac should always be inherited from it's first slave

   * New: macvlan/addressvirtual features:
     - check interface name lenght and warn if len > 15
     - sync macvlan forwarding state with lower-device

   * New: vxlan features:
     - Single vxlan device support (bridge-vlan-vni-map)
     - New attributes:
       - vxlan-mcastgrp-map (vxlan multicast group for single-vxlan device)
       - vxlan-vnifilter (vxlan vni filter for single-vxlan device)
       - vxlan-remoteip-map (static HREP entries for static single vxlan dev)
       - vxlan-tos (ToS value)
       - vxlan-udp-csum (whether to perform checksumming or not)
     - New policy:
       - vxlan-support-mix-dev-types: allow mix of traditional and single
    vxlan device (default to yes)

   * New: bridge features:
     - add multi bridge support for bridge_set_static_mac_from_port=yes

