=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: ifupdown2
 Section: admin
 Priority: optional
-Maintainer: Julien Fortin <julien@cumulusnetworks.com>
-Build-Depends: debhelper (>= 9.20160709),
+Maintainer: Proxmox Support Team <support@proxmox.com>
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-all,
                python3-setuptools,
                python3-docutils
-Standards-Version: 4.5.0.2
+Standards-Version: 4.6.2
 Homepage: https://github.com/cumulusnetworks/ifupdown2
 X-Python-Version: >= 3.7
 
@@ -17,8 +17,8 @@
 Provides: ifupdown
 Conflicts: ifupdown
 Replaces: ifupdown
-Depends: ${python3:Depends}, ${misc:Depends}, iproute2
-Suggests: isc-dhcp-client, bridge-utils, ethtool, python3-gvgen, python3-mako
+Depends: ${python3:Depends}, ${misc:Depends}, iproute2, python3-six, python3-setuptools, python3-systemd, ethtool
+Suggests: isc-dhcp-client, bridge-utils, python3-gvgen, python3-mako
 Description: Network Interface Management tool similar to ifupdown
  ifupdown2 is ifupdown re-written in Python. It replaces ifupdown and provides
  the same user interface as ifupdown for network interface configuration.
