=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=ifupdown2
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/ --install-scripts=/usr/share/

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_installman:
	./ifupdown2/man/genmanpages.sh ./ifupdown2/man ./man
	dh_installman

override_dh_install:
	dh_install
	mkdir -p debian/ifupdown2/lib/systemd/system/
	install --mode=644 debian/ifup@.service debian/ifupdown2/lib/systemd/system/
	install --mode=644 debian/ifupdown2-pre.service debian/ifupdown2/lib/systemd/system/


override_dh_installsystemd:
	dh_installsystemd --name=networking --no-start --no-stop-on-upgrade

override_dh_compress:
	dh_compress -X.py
