## ifupdown2 3.2.0-cl4.3.1u3

=== debian/changelog ===
ifupdown2 (3.2.0-cl4.3.1u3) RELEASED; urgency=medium

  [ dev-support ]
  * Fix. #2663119: remove stale fdb entry for svi (when hwaddress is used)
  * Fix. #2668543: override cache after mac address change is acked

  [ root ]
  * new build for 4.3.1 from original hash
    f897a765e9226cd89fdcdc95050074d75b2e5994

 -- root <root@7490f848894d>  Mon, 19 Sep 2022 05:40:28 +0000

ifupdown2 (3.1.0-cl4.3.0u1) RELEASED; urgency=medium

  * Fix: CM-32683: warn user when vlan-id change is detected
  * Fix: CM-24872: warn user on VXLAN mis-config VNI "bridge-learning=on"
  * Fix: CM-31959: add multi bridge support for bridge_set_static_mac_from_port=yes
  * Fix: CM-30159: bond mac should always be inherited from it's first slave
  * Fix: CM-31945: dhcp: don't release dhcp lease after timeout
  * Fix: CM-29650: address: enable ipv6 before adding new ipaddress
  * Fix: CM-31413: bridge-vlan-vni-map: support multiple vni mapping per entry
  * Fix: CM-30402: mtu: policy: accept integer value for mtu in policy file
  * Fix: CM-29621: template: update error message for python3-mako
  * New. Enabled: new policy:
		- bond_mac_mgmt (defaults to "yes"): context: CM-30159, if enabled
		bonds will inherit their mac address from their first slave.

 -- dev-support <dev-support@cumulusnetworks.com>  Sat, 12 Dec 2020 07:05:42 +0000

ifupdown2 (3.0.1-cl4.2.1u1) RELEASED; urgency=medium

  * Fix: CM-31016: don't update bridge mac if already inherited from a port
  * Fix: CM-30580: Skip dhcp configuration if link-down yes
  * New. Enabled: New vxlan attributes:
   			vxlan-mcastgrp-map
   			vxlan-svcnodeip6
   			vxlan-mcastgrp6

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 04 Sep 2020 23:42:42 +0200

ifupdown2 (3.0.0-cl4u3) RELEASED; urgency=medium

  * New. Enabled: python3 support
  * New. Enabled: bridge-always-up attribute
  * New. Enabled: ES bond with "es-sys-mac" attribute
  * New. Enabled: dhcp policy: dhclient_retry_on_failure
  * New. Enabled: dhcp configuration will be log to syslog
  * New. Enabled: bridge-vlan-vni-map attribute (single vxlan device)
  * Fix: tunnel configuration compatibility with ifupdown1 (closes: #133)
  * Fix: re-adding lockfile to avoid concurrent instances of ifupdown2
  * Fix: ifquery: add VXLAN check before processing bpdu-mstpctl attributes
  * Closes: CM-29471: non-macvlans devices could be deleted by ifupdown2
  * Closes: CM-28465: vrf-slave: keep vlan down if lower dev has link-down yes

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 02 Jun 2020 23:42:42 +0200

ifupdown2 (2.0.1-cl4u2) RELEASED; urgency=medium

  * Fix: process mtu before addrgen attribute
  * Closes: CM-28038. addons: bridge: set bridge mtu after bridge creation
  * New. Enabled: dhcp: new --nldebug cli option to enable nlmanager debug logs
  * New. Enabled: dhcp: if mgmt vrf context exec dhclient in default vrf
  * New. Enabled: addons: address: add arp-accept option
  * New. Enabled: dhcp: policy to specify DUID type to use on dhcpv6 requests:
		- "dhcp6-duid"
  * New. Enabled: dhcp: policy to wait for IPv6 link local addr availability:
		- "dhcp6-ll-wait"

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 04 Mar 2020 23:42:42 +0100

ifupdown2 (2.0.0-cl4u1) RELEASED; urgency=medium

  * New. Enabled: loopback interface won't go down (unless link-down yes)
  * New. Enabled: macvlans (address-virtual) can now be configured without ips
  * New. Enabled: add support for vxlan multicast group (vxlan-mcastgrp)
  * New. Enabled: New sets of policies:
	- bridge policy for vxlan port: bridge-vxlan-arp-nd-suppres (ON/off)
	- bridge policy for vxlan port: bridge_vxlan_port_learning (ON/off)
	- bridge policy for vxlan port:
		vxlan_bridge_igmp_snooping_enable_port_mcrouter (1/0)

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 01 Oct 2019 23:42:42 +0200

ifupdown2 (1.2.11-cl3u30) RELEASED; urgency=medium

  * Closes: CM-27644. dhcp: if mgmt vrf context exec dhclient in default vrf
  * Closes: CM-28038. addons: bridge: set bridge mtu after bridge creation

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 27 Jan 2020 23:42:42 +0100

ifupdown2 (1.2.10-cl3u29) RELEASED; urgency=medium

  * Closes: CM-21814. addons: ethtool: add new policy: "ethtool_ignore_errors"

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 25 Nov 2019 21:01:02 +0100

ifupdown2 (1.2.9-cl3u28) UNRELEASED; urgency=medium

  * Closes: CM-13316: detect intfs no longer configured but pick up by regexes

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 01 Oct 2019 23:42:42 +0200

ifupdown2 (1.2.8-cl3u27) RELEASED; urgency=medium

  * Closes: CM-15278: Retry netlink socket binding to avoid failures
  * Closes: CM-25295: ifquery syntax-check does not return non-zero on failure
  * Closes: CM-23285: Enable ipv6 on vrf slaves when moved from bport
  * Closes: CM-25646: Remove old ip address when intf is moved to dhcp
  * Closes: CM-25358: addressvirtual: keep macvlan down if link-down specified
                      on lower device

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 27 Jun 2019 23:42:42 -1000

ifupdown2 (1.2.7-cl3u26) RELEASED; urgency=medium

  * Closes: CM-25240: mismatch on address-virutual if leading zero not included
  * Closes: CM-25158: ifupdown2 accepts mac addresses with single-digit fields
  * Closes: CM-23952: policymanager: merge module policy instead of overriding duplicates
  * Closes: CM-23748: address: set default mtu on user defined device (via link-type)
  * Closes: CM-23657: bridge: set bridge mtu on device creation

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 13 Jun 2019 23:42:42 -1000

ifupdown2 (1.2.6-cl3u25) RELEASED; urgency=medium

  * Closes: CM-24275: when ifreload_down_changed=1: purge bridge
                      and upper devices cache

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 16 Apr 2019 23:42:42 -1000

ifupdown2 (1.2.5-cl3u24) RELEASED; urgency=medium

  * New. Enabled: add support for vxlan-ttl attribute

