=== debian/control ===
--- 
+++ 
@@ -1,24 +1,27 @@
 Source: ifupdown2
 Section: admin
 Priority: optional
-Maintainer: Proxmox Support Team <support@proxmox.com>
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
+Maintainer: dev-support <dev-support@cumulusnetworks.com>
+Build-Depends: debhelper (>=9),
+               dh-systemd,
                python3,
                python3-all,
                python3-setuptools,
                python3-docutils
-Standards-Version: 4.6.2
-Homepage: https://github.com/cumulusnetworks/ifupdown2
+Standards-Version: 3.9.8
+Homepage: https://www.cumulusnetworks.com/
 X-Python-Version: >= 3.7
+XS-Build-Source: True
+XS-Cumulus-Valid-Arch: amd64
+XBCS-Vcs-Hash: f897a765e9226cd89fdcdc95050074d75b2e5994
 
 Package: ifupdown2
 Architecture: all
 Provides: ifupdown
 Conflicts: ifupdown
 Replaces: ifupdown
-Depends: ${python3:Depends}, ${misc:Depends}, iproute2, python3-six, python3-setuptools, python3-systemd, ethtool
-Suggests: isc-dhcp-client, bridge-utils, python3-gvgen, python3-mako
+Depends: ${python3:Depends}, ${misc:Depends}, iproute2
+Suggests: isc-dhcp-client, bridge-utils, ethtool, python3-gvgen, python3-mako
 Description: Network Interface Management tool similar to ifupdown
  ifupdown2 is ifupdown re-written in Python. It replaces ifupdown and provides
  the same user interface as ifupdown for network interface configuration.
@@ -34,3 +37,5 @@
  python-mako for large scale interface deployments. See
  /usr/share/doc/ifupdown2/README.rst for details about ifupdown2. Examples
  are available under /usr/share/doc/ifupdown2/examples.
+XBCS-Vcs-Hash: f897a765e9226cd89fdcdc95050074d75b2e5994
+
